dbXML API

## org.dbxml.core.corba.db
Class DatabasePOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.DatabasePOA
                  |
                  +--org.dbxml.core.corba.db.DatabasePOATie

All Implemented Interfaces:
  DatabaseOperations, org.omg.CORBA.portable.InvokeHandler, ServantManagementOperations

public class DatabasePOATie
extends DatabasePOA

Generated from IDL definition of interface "Database"

Author:
  JacORB IDL compiler

Constructor Summary
`DatabasePOATie(DatabaseOperations delegate)`
`DatabasePOATie(DatabaseOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`DatabaseOperations` `_delegate()`
`void` `_delegate(DatabaseOperations delegate)`
`Database` `_this()`
`Database` `_this(org.omg.CORBA.ORB orb)`
`Collection` `getCollection(java.lang.String path)`
`DatabaseManager` `getDatabaseManager()`
`java.lang.String` `getName()`
`java.lang.String[]` `listCollections()`
`void` `remove()`

Methods inherited from class org.dbxml.core.corba.db.DatabasePOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabasePOATie

    public DatabasePOATie(DatabaseOperations delegate)

### DatabasePOATie

    public DatabasePOATie(DatabaseOperations delegate,
                          org.omg.PortableServer.POA poa)

Method Detail

### _this

    public Database _this()

  Overrides:
    `_this` in class `DatabasePOA`

### _this

    public Database _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `DatabasePOA`

### _delegate

    public DatabaseOperations _delegate()

### _delegate

    public void _delegate(DatabaseOperations delegate)

### getDatabaseManager

    public DatabaseManager getDatabaseManager()
                                       throws APIException

### remove

    public void remove()

### getCollection

    public Collection getCollection(java.lang.String path)
                             throws APIException

### listCollections

    public java.lang.String[] listCollections()
                                       throws APIException

### getName

    public java.lang.String getName()
                             throws APIException

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved